
-- Dental DataBase --> Darmangah DataBase
-- www.NeedSoft.ir
-- 1394/09/26

use [Darmangah]
Go



if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimaran]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimaran]
GO


--bimar--> bimaran

use [Dental]
Go

select 
      pid_s as code_bimar,
      row as sh_kargozini,
	  name as name,
          family as famil,
	  Father as pedar,
	  dob as tavalod,
          rid_temp as shsh,
	  mobile as mobil,
	  address as address,
          worktel as tel2,
          phone as tel
into Darmangah.dbo.bimaran  
from bimar 
Go

use [Darmangah]

Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [code_bimar] [int] not NULL  
   
Go


ALTER TABLE [dbo].[bimaran] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimaran] PRIMARY KEY  CLUSTERED 
	(
		[code_bimar]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[bimaran]  ALTER COLUMN [name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran]  ALTER COLUMN [famil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran]  ALTER COLUMN [pedar] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go


ALTER TABLE [dbo].[bimaran] ALTER COLUMN [Tel] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN [Tel2] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN [address] [nvarchar] (200) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN [address] [tavalod] (10) COLLATE Arabic_CI_AS NULL

Go


ALTER TABLE [dbo].[bimaran] ADD [code_gens] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_bimeh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [Sh_Bimeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [address2] [nvarchar] (150) COLLATE Arabic_CI_AS NULL 
   
Go

 
ALTER TABLE [dbo].[bimaran] ADD [code_user_insert] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh] [nvarchar] (250) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_meli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
  
Go


ALTER TABLE [dbo].[bimaran] ADD [code_yaraneh] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mokammel] [int] NULL 
   
Go

 
ALTER TABLE [dbo].[bimaran] ADD [code_user_edit] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sen] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tabagheh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_job] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [moaref] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [email] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tozihat] [ntext] COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [saghfe_bimeh] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [darsad_bimar] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [name_bimeh_shodeh_asli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Afrad_Tahte_Takafol] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Active] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bimari_khas] [nvarchar] (100) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [not_finished] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_etebar_daftar] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tahsilat] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_nesbat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mahale_khedmat] [int] NULL
   
Go


ALTER TABLE [dbo].[bimaran] ADD [s_r_bes] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bed] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh_sabeghe_bimari] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [sabeghe_bimari] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_hesab] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_ghol] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [last_tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [elat_morajeh] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_pezeshk] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bedehi] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sms_number] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD  [tedad_morajeat] [int] NULL
   
Go
	
ALTER TABLE [dbo].[bimaran] ADD [bedehkar] [bit] NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [not_send_sms] [bit] NULL

 Go

ALTER TABLE [dbo].[bimaran] ADD [code_tahol] [int] NULL 

Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_tahol] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go	 

ALTER TABLE [dbo].[bimaran] ADD [tozihat_checkup] [ntext] COLLATE Arabic_CI_AS NULL 
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_From]   [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_To] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [code_moaref] [int] NULL 

GO

ALTER TABLE [dbo].[bimaran] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[bimaran] ADD 	[edit_time] [datetime] NULL 

Go


update bimaran set active=1

Go


update bimaran set insert_time=0

Go

update bimaran set edit_time=0

Go

update bimaran set code_meli=code_bimar

Go

update bimaran set sh_bimeh=sh_kargozini

Go
 
ALTER TABLE [dbo].[bimaran]  Drop COLUMN [sh_kargozini] 

Go

ALTER TABLE [dbo].[bimaran] ADD [sh_kargozini] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 

Go

update bimaran set sh_kargozini=sh_bimeh

Go
ALTER TABLE [dbo].[bimaran] ADD [tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

update bimaran set tarikh='95/02/10'

Go

