--            
-- ProDarmangah DataBase --> Darmangah DataBase
-- www.NeedSoft.ir
-- 1395/01/14

use [Darmangah]
Go

--       

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimaran]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimaran]
GO


--    
--Res_tblMoshtari--> bimaran

use [ProDarmangah]
Go

select 
      NumberEshterak as code_bimar,
      FirstName as name,
	  LastName as famil,
	  FatherName as pedar,
          TelMahal as Tel,
          Address as Address,
          worktel as Tel2,
          Mobeil as mobil,
	  sen as tavalod,
	  jensiat as gender,
          NahveAshnaei as moaref,
	  DateStart as tarikh

into Darmangah.dbo.bimaran  
from Res_tblMoshtari
Go


--       
use [Darmangah]
Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [code_bimar] [int] not NULL  
   
Go

--   
ALTER TABLE [dbo].[bimaran] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimaran] PRIMARY KEY  CLUSTERED 
	(
		[code_bimar]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[bimaran]  ALTER COLUMN [name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran]  ALTER COLUMN [famil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[bimaran] ADD [code_gens] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_bimeh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [Sh_Bimeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [address2] [nvarchar] (150) COLLATE Arabic_CI_AS NULL 
   
 
Go


ALTER TABLE [dbo].[bimaran] ADD [code_user_insert] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh] [nvarchar] (250) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_meli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [shsh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_yaraneh] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mokammel] [int] NULL 
   
Go


ALTER TABLE [dbo].[bimaran] ADD [code_user_edit] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sen] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tabagheh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_job] [int] NULL
   
Go

-- ALTER TABLE [dbo].[bimaran] ADD [moaref] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [email] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tozihat] [ntext] COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [saghfe_bimeh] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [darsad_bimar] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [name_bimeh_shodeh_asli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Afrad_Tahte_Takafol] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Active] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bimari_khas] [nvarchar] (100) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [not_finished] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_etebar_daftar] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tahsilat] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_nesbat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mahale_khedmat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bes] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bed] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh_sabeghe_bimari] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [sabeghe_bimari] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_hesab] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_ghol] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [last_tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [elat_morajeh] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_pezeshk] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bedehi] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sms_number] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD  [tedad_morajeat] [int] NULL
   
Go
	
ALTER TABLE [dbo].[bimaran] ADD [bedehkar] [bit] NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [not_send_sms] [bit] NULL

 Go

ALTER TABLE [dbo].[bimaran] ADD [code_tahol] [int] NULL 

Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_tahol] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go	 

ALTER TABLE [dbo].[bimaran] ADD [tozihat_checkup] [ntext] COLLATE Arabic_CI_AS NULL 
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_From]   [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_To] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [code_moaref] [int] NULL 

GO

ALTER TABLE [dbo].[bimaran] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[bimaran] ADD 	[edit_time] [datetime] NULL 

Go
UPDATE  bimaran set code_gens=1 where gender=''

Go

UPDATE bimaran set code_gens=2 where gender=''

Go

update bimaran set active=1

Go

-- update bimaran set tarikh=SUBSTRING(tarikh,3,8)

update bimaran set tarikh=SUBSTRING(tarikh,3,8) where code_bimar > 24825
Go

update bimaran set insert_time=0

Go

update bimaran set edit_time=0

Go



USE [Darmangah]
Go

--       darmanha
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[darmanha]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[darmanha]
GO


--    
--InfSERVICE--> darmanha

USE [ProDarmangah]
Go

select 
      IdGhaza as code_darman,
      NameGhaza as name_darman,
      MablaghGhaza as r_azad,
      CodeMenu as code_bakhsh

into Darmangah.dbo.darmanha
from Res_tblDarmanha
Go


--       
USE [Darmangah]
Go

ALTER TABLE [dbo].[darmanha] ALTER COLUMN  [code_darman] [int] not NULL  
   
Go

---   
ALTER TABLE [dbo].[darmanha] WITH NOCHECK ADD 
    CONSTRAINT [PK_darmanha] PRIMARY KEY  CLUSTERED 
	(
		[code_darman]
	)  ON [PRIMARY] 
GO


ALTER TABLE [dbo].[darmanha] ADD [code_ertebat] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go

-- ALTER TABLE [dbo].[darmanha] ADD	[code_bakhsh] [int]  NULL
ALTER TABLE [dbo].[darmanha] ALTER COLUMN [code_bakhsh] [int]  NULL

GO

ALTER TABLE [dbo].[darmanha] ADD	[code_Bimeh] [int]  NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_daro] [int] NULL 

Go

-- ALTER TABLE [dbo].[darmanha] ADD	[r_azad] [int] NULL 
ALTER TABLE [dbo].[darmanha] ALTER COLUMN [r_azad] [int] NULL 
Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bimar] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bimeh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_mabeh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_pezeshk] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD 	[post_time] [datetime] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_user] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[name_bakhsh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[name_tabagheh_darman] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_tabagheh_darman] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_takhfif] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[meghdar] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[radif] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_noa_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_d] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_a] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_yaraneh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_mokammel] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bed] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[motakhases] [bit] NULL 

GO

ALTER TABLE [dbo].[darmanha] ADD	[not_finished] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[barcode] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_alarm] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[nazarsanji] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k_masraf] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k_labratvar] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_1] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_2] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_3] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[active] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[not_bimeh] [bit] NULL 

Go
 /*
update darmanha set code_bimeh=1 , code_bakhsh=10 , code_ertebat=0 , code_daro=1 , r_azad=0 , r_bimar=0 ,
                      r_bimeh=0 , r_takhfif=0 , r_mokammel=0 , r_mabeh=0 , r_yaraneh=0 , r_pezeshk=0 ,
					   active=1 , r_bed=0 
*/
update darmanha set code_bimeh=10  , code_ertebat=0 , code_daro=1 ,  r_bimar=r_azad ,
                      r_bimeh=0 , r_takhfif=0 , r_mokammel=0 , r_mabeh=0 , r_yaraneh=0 , r_pezeshk=0 ,
					   active=1 , r_bed=0 

Go
--update darmanha set active=0
Go


--- bakhshha

USE [Darmangah]
Go

--        bakhshha
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bakhshha]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bakhshha]
GO


--    
--Res_tblTypeMenu--> bakhsh

USE [ProDarmangah]
Go

select 
      idmenu as code_bakhsh,
      typemenu as name_bakhsh

into Darmangah.dbo.bakhshha
from Res_tblTypeMenu
Go


--    
USE [Darmangah]
Go

ALTER TABLE [dbo].[bakhshha] ALTER COLUMN  [code_bakhsh] [int] not NULL  
   
Go

---   
ALTER TABLE [dbo].[bakhshha] WITH NOCHECK ADD 
    CONSTRAINT [PK_bakhsh] PRIMARY KEY  CLUSTERED 
	(
		[code_bakhsh]
	)  ON [PRIMARY] 
GO


Go

ALTER TABLE [dbo].[bakhshha] ADD [radif] [int]  NULL
GO

ALTER TABLE [dbo].[bakhshha] ADD [active] [bit]  NULL

Go
 update bakhshha set active=1
Go






---

USE [Darmangah]
GO

-- Res_tblPersonel
--   Ԙ    

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pezeshkan]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[pezeshkan]
GO



--   Ԙ 
--Res_tblPersonel --> pezeshkan

USE [ProDarmangah]
GO

select 
      idper as code_pezeshk,
      lastnameper  as name_pezeshk,
      Mobile as mobil
	  
into Darmangah.dbo.pezeshkan 
from Res_tblPersonel
Go


--   Ԙ
USE [Darmangah]
Go

ALTER TABLE [dbo].[pezeshkan] ALTER COLUMN  [code_pezeshk] [int] not NULL  
   
Go

-----   Ԙ
ALTER TABLE [dbo].[pezeshkan] WITH NOCHECK ADD 
    CONSTRAINT [PK_pezeshkan] PRIMARY KEY  CLUSTERED 
	(
		[code_pezeshk]
	)  ON [PRIMARY] 
GO



ALTER TABLE [dbo].[pezeshkan] ADD [code_bakhsh] [int] NULL

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_takhasos] [int] NULL 

Go
ALTER TABLE [dbo].[pezeshkan] ADD	[radif] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_nezam] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[active] [bit] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[tedad_bimar_jadid] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[darsad] [float] NULL

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_tafzil] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[name_takhasos] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

--ALTER TABLE [dbo].[pezeshkan] ADD	[mobil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[selected] [bit] NULL 

Go

UPDATE pezeshkan SET 
      code_bakhsh=0,
      code_takhasos=1,
      RADIF=code_nezam,
      active=1,
      tedad_bimar_jadid=0,
      darsad=51,
      code_tafzil=RADIF,
      name_takhasos='-',
      selected=0

GO




----------------------------------------------------------

-- res_tblsefaresh
--       

USE [Darmangah]
Go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[morajeat]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[morajeat]
GO

--   
--res_tblsefaresh --> morajeat

USE [ProDarmangah]
Go

select 
      CodeMoshtari as code_bimar,
      Kar_code as code_darman,
	  Arayeshgar_code as code_pezeshk,
	  DateSefaresh as tarikh,
	  CurTotal as r_bed,
	  KolePolDaryafti as r_bes
into Darmangah.dbo.morajeat 
from res_tblsefaresh
Go

--       

USE [Darmangah]
Go
--    
ALTER TABLE [dbo].[morajeat]
ADD [code_morajeh] [int] IDENTITY (1, 1) NOT NULL
Go

ALTER TABLE [dbo].[morajeat] WITH NOCHECK ADD 
    CONSTRAINT [PK_morajeat] PRIMARY KEY  CLUSTERED 
	(
		[code_morajeh]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_bimar] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_pezeshk] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_darman] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [r_bed]  [money] NULL 
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [r_bes]  [money] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ADD [code_bimeh] [int]  NULL

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bakhsh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_yaraneh] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_mokammel] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_dastyar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_tabagheh_darman] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_noskheh] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_moarefi] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_shift] [smallint] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_user_insert] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_user_edit] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_sandogh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[r_pezeshk] [money]  NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_azad] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mabeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_bimar] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_bimeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_yaraneh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mokammel] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_takhfif] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mandeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[tash] [nvarchar] (2) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[sharh_darman] [nvarchar] (250) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[tedad_darman] [smallint] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[edit_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[sandogh_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_ertebat] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_nobat] [smallint] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_daro] [smallint] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bastari] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[radif] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[bimar_sarpaei] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 

Go


ALTER TABLE [dbo].[morajeat] ADD 	[code_labratvar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_pay] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_pezeshk_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bimar_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_darman_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_sabt_daem_darman] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_sharh_darman] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go


ALTER TABLE [dbo].[morajeat] ADD 	[code_nesbat] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_mahale_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_tabagheh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_job] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_gens] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[not_finished] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[zarib_k] [float] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tavalod] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sen] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_noa_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sh_parvandeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[not_bimeh] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tozihat] [ntext] COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_print] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Bargashti] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Erjaei] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_khob] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Bad] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_moaref] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[elate_hadese] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[elate_bimari] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_hadese] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bimari] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_natije_morajeh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[saat] [nvarchar] (5) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[masraf_machine_orzhans] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_takhasos] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_ozve] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_jalase] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_nahie] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[esterdad] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[select_print] [bit] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[barcode] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[darsad_bimar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[radif_morajeh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_mah] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[nazarsanji] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[ID_Anbar_Hdr] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tarikh_noskheh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Sh_Bimeh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_meli] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

update morajeat set r_azad=r_bed , r_bimar=r_bed , r_bimeh=0 ,r_mabeh=0 , r_takhfif=0 , r_yaraneh=0 ,r_mokammel=0

Go

update morajeat set tarikh=SUBSTRING(tarikh,3,8)

Go

update morajeat set insert_time=0

Go

update morajeat set edit_time=0

Go

update morajeat set code_bakhsh=1

Go

update morajeat set code_bimeh=1

Go

-----------

--- vaght_dehi

USE [Darmangah]
Go

-- vaght_dehi
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vaght_dehi]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[vaght_dehi]
GO


--    
--NobatDehi2--> vaght_dehi

USE [ProDarmangah]
Go

select 
      tarikh ,
      saat ,
      CodeArayeshgar as code_pezeshk,
      CodeMoshtari as code_bimar

into Darmangah.dbo.vaght_dehi
from NobatDehi2 WHERE     (tarikh > '1395/01/15')
Go


--    
USE [Darmangah]
Go

ALTER TABLE [dbo].[vaght_dehi]
ADD [id] [int] IDENTITY (1, 1) NOT NULL
Go

ALTER TABLE [dbo].[vaght_dehi] WITH NOCHECK ADD 
    CONSTRAINT [PK_vaght_dehi] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

--ALTER TABLE [dbo].[vaght_dehi] ALTER COLUMN [tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

GO

--ALTER TABLE [dbo].[vaght_dehi] ALTER COLUMN [saat]  [nvarchar] (5) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [code_unit] [int] NULL  

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [code_bimeh] [int] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [code_bakhsh] [int] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [code_darman] [int] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [meghdar] [int] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [sharh] [nvarchar] (255) COLLATE Arabic_CI_AS NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [takhir] [bit] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [insert_time] [datetime] NULL

GO

ALTER TABLE [dbo].[vaght_dehi] ADD [code_user_insert] [int] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [edit_time] [datetime] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [code_user_edit] [int] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [code_week] [tinyint] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [not_come] [bit] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [time_come] [nvarchar] (5) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [done] [bit] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [code_nobat] [int] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [lock] [bit] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [time_out] [nvarchar] (5) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [insert_time_1] [datetime] NULL

Go

ALTER TABLE [dbo].[vaght_dehi] ADD [code_user_insert_1] [int] NULL 

Go

update vaght_dehi set tarikh=SUBSTRING(tarikh,3,8) 

Go

update vaght_dehi set saat=SUBSTRING(saat,1,2)+':00'

Go

update vaght_dehi set time_come=SUBSTRING(saat,1,2)+SUBSTRING(saat,3,4)

Go

