﻿-- انتقال از پارس تیام رایانه به  نید سافت  
-- padd DataBase --> darmangah DataBase
-- www.NeedSoft.ir
-- 1395/07/20

use [darmangah]
Go

--حذف فایل بیماران  در صورت وجود 

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimaran]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimaran]
GO


-- تبدیل فایل بیماران 
--bimar_tbl--> bimaran

use [padb]
Go

select 
      Bimar_Code as code_bimar,
      Bimar_Name as name,
	  Bimar_Family as famil,
	  Bimar_ParNo as sh_kargozini,
	  Bimeh_Code as code_bimeh,
	  Bimar_BimehNo as Sh_Bimeh,
	  Bimar_ExpairDate as tarikh_etebar_daftar
into darmangah.dbo.bimaran  
from bimar_tbl
Go
/*
 	--  Father as pedar,
	--  Birthday as tavalod,
	--  sex as gender,
	--  date_create as tarikh,
	--  TelQuick as mobil,
	--  addr as address

*/



-- اضافه کردن فیلدهای لازم به جدول بیماران
use [darmangah] 
Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [code_bimar] [int] not NULL  
   
Go

-- کلید برای بیماران
ALTER TABLE [dbo].[bimaran] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimaran] PRIMARY KEY  CLUSTERED 
	(
		[code_bimar]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[bimaran]  
ALTER COLUMN [sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
Go

ALTER TABLE [dbo].[bimaran] ADD [code_gens] [int] NULL
   
Go

--ALTER TABLE [dbo].[bimaran]  ADD [code_bimeh] [int] NULL
  
--Go

--ALTER TABLE [dbo].[bimaran]  ADD [Sh_Bimeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
--Go

ALTER TABLE [dbo].[bimaran] ADD [pedar] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
   
Go
ALTER TABLE [dbo].[bimaran] ADD [Tel] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [address2] [nvarchar] (150) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [address] [nvarchar] (150) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [tel2] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
  
Go


ALTER TABLE [dbo].[bimaran] ADD [code_user_insert] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh] [nvarchar] (250) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_meli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [shsh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_yaraneh] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mokammel] [int] NULL 
   
Go

 

ALTER TABLE [dbo].[bimaran] ADD [code_user_edit] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sen] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tabagheh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_job] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [moaref] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [email] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tozihat] [ntext] COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [saghfe_bimeh] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [darsad_bimar] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [name_bimeh_shodeh_asli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Afrad_Tahte_Takafol] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Active] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bimari_khas] [nvarchar] (100) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [not_finished] [bit] NULL
  
Go

--ALTER TABLE [dbo].[bimaran] ADD [tarikh_etebar_daftar] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 
   
--Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tahsilat] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_nesbat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mahale_khedmat] [int] NULL
   
Go

--ALTER TABLE [dbo].[bimaran]  ADD [sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
--Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bes] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bed] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh_sabeghe_bimari] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [sabeghe_bimari] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_hesab] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_ghol] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [last_tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [elat_morajeh] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_pezeshk] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bedehi] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sms_number] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD  [tedad_morajeat] [int] NULL
   
Go
	
ALTER TABLE [dbo].[bimaran] ADD [bedehkar] [bit] NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [not_send_sms] [bit] NULL

 Go

ALTER TABLE [dbo].[bimaran] ADD [code_tahol] [int] NULL 

Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_tahol] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go	 

ALTER TABLE [dbo].[bimaran] ADD [tozihat_checkup] [ntext] COLLATE Arabic_CI_AS NULL 
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_From]   [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_To] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tavalod] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [mobil] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [code_moaref] [int] NULL 

GO

ALTER TABLE [dbo].[bimaran] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[bimaran] ADD 	[edit_time] [datetime] NULL 

Go
--UPDATE  bimaran set code_gens=1 where gender='مرد'

--Go

--UPDATE bimaran set code_gens=2 where gender='زن'

--Go

update bimaran set active=1

Go

--update bimaran set tarikh=SUBSTRING(tarikh,3,8)

-- Go

update bimaran set tarikh_etebar_daftar='' where LEN(RTRIM(LTRIM(tarikh_etebar_daftar)))<10

 Go

update bimaran set insert_time=0

Go

update bimaran set edit_time=0

Go



Go



-- Bimeh_tbl 
-- حذف فایل بیمه ها در صورت وجود 

USE [darmangah] 
Go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimeha]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimeha]
GO

-- ایجاد فایل مراجعات
--Bimeh_tbl  --> bimeha

USE [padb] 
Go

select 
      Bimeh_Code as code_bimeh,
      Bimeh_Name as name_bimeh
into darmangah.dbo.bimeha 
from Bimeh_tbl
Go

-- اضافه کردن فیلدهای لازم به جدول بیمه ها

USE [darmangah]
Go

ALTER TABLE [dbo].[bimeha] ALTER COLUMN  [code_bimeh] [int] not NULL  
   
Go

----- کلید برای بیمه ها
ALTER TABLE [dbo].[bimeha] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimeha] PRIMARY KEY  CLUSTERED 
	(
		[code_bimeh]
	)  ON [PRIMARY] 
GO


ALTER TABLE [dbo].[bimeha] ADD [saghfe_khanevadeh] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[saghfe_shakhs] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[r_saghfe_shakhs] [money] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[r_saghfe_khanevadeh] [money] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[selected] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[Active] [bit] NULL 

Go
update bimeha set  
       saghfe_khanevadeh=0,
       saghfe_shakhs=0,
       r_saghfe_shakhs=0,
       r_saghfe_khanevadeh=0,
       selected=0,
       Active=1

Go

