-- 1396/02/26
--bimaran

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'TR_IN_bimaran_harf_ye' AND type = 'TR')
   DROP TRIGGER TR_IN_bimaran_harf_ye
GO
CREATE TRIGGER TR_IN_bimaran_harf_ye
ON bimaran
FOR INSERT
AS 

DECLARE @code_bimar int

SELECT @code_bimar=code_bimar from INSERTED

if (@code_bimar <> 0 )
begin
update bimaran set 
name =REPLACE(name,NCHAR(1740),NCHAR(1610)),
famil=REPLACE(famil,NCHAR(1740),NCHAR(1610)),
pedar=REPLACE(pedar,NCHAR(1740),NCHAR(1610)),
moaref=REPLACE(moaref,NCHAR(1740),NCHAR(1610))
where code_bimar=@code_bimar
end

Go

-- darmanha

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'TR_IN_darmanha_harf_ye' AND type = 'TR')
   DROP TRIGGER TR_IN_darmanha_harf_ye
GO
CREATE TRIGGER TR_IN_darmanha_harf_ye
ON darmanha
FOR INSERT
AS 

DECLARE @code_darman int

SELECT @code_darman=code_darman from INSERTED

if (@code_darman <> 0 )
begin
update darmanha set 
name_darman=REPLACE(name_darman,NCHAR(1740),NCHAR(1610))
where code_darman=@code_darman
end

Go

-- kala

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'TR_IN_kala_harf_ye' AND type = 'TR')
   DROP TRIGGER TR_IN_kala_harf_ye
GO
CREATE TRIGGER TR_IN_kala_harf_ye
ON kala
FOR INSERT
AS 

DECLARE @code_kala int

SELECT @code_kala=code_kala from INSERTED

if (@code_kala <> 0 )
begin
update kala set 
name_kala=REPLACE(name_kala,NCHAR(1740),NCHAR(1610))
where code_kala=@code_kala
end

Go


-- moshtari

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'TR_IN_moshtari_harf_ye' AND type = 'TR')
   DROP TRIGGER TR_IN_moshtari_harf_ye
GO
CREATE TRIGGER TR_IN_moshtari_harf_ye
ON moshtari
FOR INSERT
AS 

DECLARE @code_moshtari int

SELECT @code_moshtari=code_moshtari from INSERTED

if (@code_moshtari <> 0 )
begin
update moshtari set 
name_moshtari=REPLACE(name_moshtari,NCHAR(1740),NCHAR(1610))
where code_moshtari=@code_moshtari
end

Go

-- update all table

Update bimaran 
SET 
name =REPLACE(name,NCHAR(1740),NCHAR(1610)),
famil=REPLACE(famil,NCHAR(1740),NCHAR(1610)),
pedar=REPLACE(pedar,NCHAR(1740),NCHAR(1610)),
moaref=REPLACE(moaref,NCHAR(1740),NCHAR(1610))

Go

Update moshtari 
SET 
name_moshtari=REPLACE(name_moshtari,NCHAR(1740),NCHAR(1610))

Go

Update kala 
SET 
name_kala=REPLACE(name_kala,NCHAR(1740),NCHAR(1610))


Go

Update darmanha 
SET 
name_darman=REPLACE(name_darman,NCHAR(1740),NCHAR(1610))

Go

