-- 1395/12/21

-- Script after 1395/10/01

Go

CREATE TABLE [dbo].[morajeat_filter](
	[code_user] [int] NOT NULL,
	[tarikh_from] [char](10) NOT NULL,
	[tarikh_to] [char](10) NOT NULL,
 CONSTRAINT [PK_morajeat_filter] PRIMARY KEY CLUSTERED 
(
	[code_user] ASC
) ON [PRIMARY]
)

GO

insert morajeat_filter (code_user,tarikh_from,tarikh_to) values (1,'90/01/01','99/01/01')

Go

--1395/10/10

ALTER TABLE [dbo].[EasyDent4]
   ADD  [Auto_Tarnsfer_Second] [int] NULL  

GO

update  EasyDent4 set Auto_Tarnsfer_Second=5 where Auto_Tarnsfer_Second is NULL

GO

ALTER TABLE [dbo].[bimaran]
   ADD  [transferred] [bit] NULL  

GO

ALTER TABLE [dbo].[bimaran_image]
   ADD  [selected] [bit] NULL  

GO

ALTER TABLE [dbo].[users]
   add [ab_edit_r_bimar] [bit] NULL 

Go

ALTER TABLE [dbo].[users]
   add [ab_edit_r_bimeh] [bit] NULL 

Go

ALTER TABLE [dbo].[users]
   add [active] [bit] NULL 

Go

ALTER TABLE [dbo].[Tarikh]
   add [mamoriat] [int] NULL 

Go

ALTER TABLE [dbo].[Tarikh]
   add [morakhasi] [int] NULL 

Go

ALTER TABLE [dbo].[Tarikh]
   add [time_mamoriat] [char] (5) NULL 

Go

ALTER TABLE [dbo].[Tarikh]
   add [time_morakhasi] [char] (5) NULL 

Go

ALTER TABLE [dbo].[Tarikh]
   add [description] [nvarchar] (200) NULL 

Go

ALTER TABLE [dbo].[Moshtari]
   add [saat_vord_5] [char] (5) NULL 

Go

ALTER TABLE [dbo].[Moshtari]
   add [saat_khoroj_5] [char] (5) NULL 

Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [shsh] [varchar] (50)  NULL 
Go

ALTER TABLE [dbo].[users]
   add [ab_edit_code_bimar_paziresh] [bit] NULL 
Go
ALTER TABLE [dbo].[users]
   add [ab_edit_code_pezeshk_paziresh] [bit] NULL 
Go
update users set active=1 where active is null
Go
-- 1395/11/14

ALTER TABLE [dbo].[noskhehha]
   add [r_mokammel] [money] NULL 
Go
ALTER TABLE [dbo].[noskhehha]
   add [r_yaraneh] [money] NULL 
Go
ALTER TABLE [dbo].[noskhehha]
   add [r_pezeshk] [money] NULL 
Go

-- 1395/11/16

Go

CREATE TABLE [dbo].[noskhehha_filter](
	[code_user] [int] NOT NULL,
	[tarikh_from] [char](10) NOT NULL,
	[tarikh_to] [char](10) NOT NULL,
 CONSTRAINT [PK_noskhehha_filter] PRIMARY KEY CLUSTERED 
(
	[code_user] ASC
) ON [PRIMARY]
)

GO

insert noskhehha_filter (code_user,tarikh_from,tarikh_to) values (1,'90/01/01','99/01/01')

Go
-- 1395/11/18

ALTER TABLE [dbo].[noskhehha_filter]
   add [code_pezeshk] [int] NULL 

GO

-- 1395/11/20

ALTER TABLE [dbo].[noskhehha_filter]
     ADD  [darsad] [float] NULL 
GO

ALTER TABLE [dbo].[morajeat]
    ALTER COLUMN[tozihat] [nvarchar](1000)  NULL 
    
 Go

-- Run for old exe     :)
-- ALTER TABLE [dbo].[morajeat]
 --   ALTER COLUMN[tozihat] [ntext] NULL 

-- 1395/12/01

CREATE TABLE [dbo].[tarikh_shift](
	[tarikh] [char](10) NOT NULL,
	[sh1] [int] NULL,
	[sh2] [int] NULL,
	[sh3] [int] NULL,
	[sh4] [int] NULL,
 CONSTRAINT [PK_tarikh_shift] PRIMARY KEY CLUSTERED 
(
	[tarikh] ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

-- 1395/12/06

CREATE TABLE [dbo].[sopro](
	[id] [int] NOT NULL,
	[active] [bit] NULL,
	[Image_Path] [nvarchar](500) NULL,
	[Count_Taransfer] [int] NULL,
	[Auto_Tarnsfer_Second] [int] NULL,
 CONSTRAINT [PK_sopro] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

insert sopro (id,active,Image_Path,Count_Taransfer,Auto_Tarnsfer_Second) values (1,0,'',10,10)

Go

-- update bimaran set transferred=null


Go
UPDATE   darmanha  SET  r_azad = 0 WHERE (r_azad IS NULL)
Go
UPDATE   darmanha  SET  r_bimeh = 0 WHERE (r_bimeh IS NULL)
Go
UPDATE   darmanha  SET  r_bimar = 0 WHERE (r_bimar IS NULL)
Go
UPDATE   darmanha  SET  r_mabeh = 0 WHERE (r_mabeh IS NULL)
Go
UPDATE   darmanha  SET  r_takhfif = 0 WHERE (r_takhfif IS NULL)
Go
UPDATE   darmanha  SET  r_pezeshk = 0 WHERE (r_pezeshk IS NULL)
Go
UPDATE   darmanha  SET  r_mokammel = 0 WHERE (r_mokammel IS NULL)
Go
UPDATE   darmanha  SET  r_yaraneh = 0 WHERE (r_yaraneh IS NULL)
Go
UPDATE   darmanha  SET  r_bed = 0 WHERE (r_bed IS NULL)
Go
UPDATE   darmanha  SET  radif = 0 WHERE (radif IS NULL)
Go
UPDATE   darmanha  SET  code_noa_khedmat = 22 WHERE (code_noa_khedmat IS NULL)
Go
UPDATE   darmanha  SET  code_ertebat = 1 WHERE (code_ertebat IS NULL)
Go
UPDATE   darmanha  SET  code_ertebat = 1 WHERE (len(code_ertebat)=0)
Go
UPDATE   darmanha  SET  zarib_k = 1 WHERE (zarib_k IS NULL)
Go
UPDATE   darmanha  SET  code_daro = 1 WHERE (code_daro IS NULL)
Go
UPDATE   darmanha  SET  meghdar = 0 WHERE (meghdar IS NULL)
Go
UPDATE   darmanha  SET  r_bed=r_azad-r_bimeh+r_mabeh-r_takhfif-r_yaraneh-r_mokammel
Go
UPDATE   darmanha  SET  r_a = 0 WHERE (r_a IS NULL)
Go
UPDATE   darmanha  SET  r_d = 0 WHERE (r_d IS NULL)
Go


UPDATE   morajeat  SET  r_azad = 0 WHERE (r_azad IS NULL)
Go
UPDATE   morajeat  SET  r_bimeh = 0 WHERE (r_bimeh IS NULL)
Go
UPDATE   morajeat  SET  r_bimar = 0 WHERE (r_bimar IS NULL)
Go
UPDATE   morajeat  SET  r_mabeh = 0 WHERE (r_mabeh IS NULL)
Go
UPDATE   morajeat  SET  r_takhfif = 0 WHERE (r_takhfif IS NULL)
Go
UPDATE   morajeat  SET  r_pezeshk = 0 WHERE (r_pezeshk IS NULL)
Go
UPDATE   morajeat  SET  r_mokammel = 0 WHERE (r_mokammel IS NULL)
Go
UPDATE   morajeat  SET  r_yaraneh = 0 WHERE (r_yaraneh IS NULL)
Go
UPDATE   morajeat  SET  r_bed = 0 WHERE (r_bed IS NULL)
Go
UPDATE   morajeat  SET  r_bes = 0 WHERE (r_bes IS NULL)
Go
UPDATE   morajeat  SET  radif = 0 WHERE (radif IS NULL)
Go
UPDATE   morajeat  SET  code_noa_khedmat = 22 WHERE (code_noa_khedmat IS NULL)
Go
UPDATE   morajeat  SET  code_ertebat = 1 WHERE (code_ertebat IS NULL)
Go
UPDATE   morajeat  SET  code_ertebat = 1 WHERE (len(code_ertebat)=0)
Go
UPDATE   morajeat  SET  zarib_k = 1 WHERE (zarib_k IS NULL)
Go
UPDATE   morajeat  SET  code_daro = 1 WHERE (code_daro IS NULL)
Go
UPDATE   morajeat  SET  r_mandeh = 1 WHERE ( r_mandeh IS NULL)
Go
UPDATE   morajeat  SET  code_bakhsh = 0 WHERE ( code_bakhsh IS NULL)
Go
UPDATE   morajeat  SET  code_pezeshk = 0 WHERE ( code_pezeshk IS NULL)
Go
UPDATE   morajeat  SET  code_bimeh = 0 WHERE ( code_bimeh IS NULL)
Go
UPDATE   morajeat  SET  code_darman = 0 WHERE ( code_darman IS NULL)
Go
UPDATE   morajeat  SET  tedad_darman = 1 WHERE ( tedad_darman IS NULL)
Go
UPDATE   morajeat  SET  code_pay = 1 WHERE ( code_pay IS NULL)
Go
UPDATE   morajeat  SET  code_dastyar = 0 WHERE ( code_dastyar IS NULL)
Go
UPDATE   morajeat  SET  code_yaraneh = 0 WHERE ( code_yaraneh IS NULL)
Go
UPDATE   morajeat  SET  code_mokammel = 0 WHERE ( code_mokammel IS NULL)
Go

-- 1395/12/15

update users set mohasebe_mandeh_dar_khat_paziresh=0

Go

-- 1395/12/16

ALTER TABLE [dbo].[users]
   add [code_shobeh] [int] NULL 

Go

CREATE TABLE [dbo].[shobeh](
	[code_shobeh] [int] NOT NULL,
	[name_shobeh] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_shobeh] PRIMARY KEY CLUSTERED 
(
	[code_shobeh] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
insert shobeh (code_shobeh,name_shobeh)values (1,'shobeh 1')
Go
insert shobeh (code_shobeh,name_shobeh)values (2,'shobeh 2')
Go
insert shobeh (code_shobeh,name_shobeh)values (3,'shobeh 3')
Go

ALTER TABLE [dbo].[morajeat]
   add [code_shobeh] [int] NULL 
Go
ALTER TABLE [dbo].[noskhehha]
   add [code_shobeh] [int] NULL 
Go
ALTER TABLE [dbo].[vaght_dehi]
   add [code_shobeh] [int] NULL 
Go
ALTER TABLE [dbo].[bimaran]
   add [code_shobeh] [int] NULL 
Go
 -- 1396/01/16
ALTER TABLE [dbo].[bakhshha]
   add [orderw] [int] NULL 

Go
--1396/01/20

ALTER TABLE [dbo].[morajeat]
   add [r_bimeh_tas] [bit] NULL 

Go
update morajeat set r_bimeh_tas=0 where r_bimeh_tas is null
Go

ALTER TABLE [dbo].[morajeat]
   add [r_bed_tas] [bit] NULL 

Go
update morajeat set r_bed_tas=0 where r_bed_tas is null
Go
ALTER TABLE [dbo].[users]
   add [ab_r_bed_tas] [bit] NULL 
Go
update users set ab_r_bed_tas=0 where ab_r_bed_tas is null
Go
ALTER TABLE [dbo].[users]
   add [ab_r_bimeh_tas] [bit] NULL 
Go
update users set ab_r_bimeh_tas=0 where ab_r_bimeh_tas is null
Go
ALTER TABLE [dbo].[settinga]
  add [code_bakhsh_sandogh] [int] NULL
Go
update settinga set code_bakhsh_sandogh=0 where code_bakhsh_sandogh is null
Go
ALTER TABLE [dbo].[bimaran]
  add [tarikh_paziresh] char(10) NULL
Go
ALTER TABLE [dbo].[morajeat]
  add [cm_linke_sandogh] int NULL
Go




