IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_insert_to_callerid_from_call_log' AND type = 'TR')
   DROP TRIGGER trigger_insert_to_callerid_from_call_log
GO

CREATE TRIGGER trigger_insert_to_callerid_from_call_log
ON [call]
FOR update

AS 



DECLARE @line int

DECLARE @number varchar(20)

DECLARE @short_number varchar(10)

DECLARE @code_bimar int

DECLARE @id_update int

DECLARE @is_update int

select  @short_number=substring((rtrim(ltrim(CODialNumber))),len((rtrim(ltrim(CODialNumber))))-7,8) , @number =rtrim(ltrim(CODialNumber)) , @line =  line , @id_update=id  from  INSERTED

select @is_update=id_update from callerid where id_update=@id_update

if (@is_update is null)
begin
  select  @code_bimar =  code_bimar  from  bimaran where  ((mobil like '%'+@short_number+'%')OR(tel like '%'+@short_number+'%')OR(tel2 like '%'+@short_number+'%')) 
  if (len(@number) > 2) 
  insert  callerid (code_Line,number,code_bimar,insert_time,id_update) values ( @line ,@number+' +',@code_bimar, GETDATE(),@id_update )
end

GO