IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_insert_to_callerid' AND type = 'TR')
   DROP TRIGGER trigger_insert_to_callerid
GO

CREATE TRIGGER trigger_insert_to_callerid
ON numberlist
FOR INSERT

AS 

DECLARE @max_id int

DECLARE @line int

DECLARE @number varchar(20)

DECLARE @short_number varchar(10)

DECLARE @code_bimar int

select  @max_id =  max(id)   from  numberlist

select  @short_number=substring((rtrim(ltrim(number))),len((rtrim(ltrim(number))))-7,8) , @number =rtrim(ltrim(number)) , @line =  line   from  numberlist where  id=@max_id

select  @code_bimar =  code_bimar  from  bimaran where  ((mobil like '%'+@short_number+'%')OR(tel like '%'+@short_number+'%')OR(tel2 like '%'+@short_number+'%')) 

insert  callerid (code_Line,number,code_bimar,insert_time) values ( @line ,@number,@code_bimar, GETDATE() )

GO