﻿-- انتقال جداول مهم از بانک روزنه به بانک نید سافت 
-- R_his DataBase --> NeedSoft DataBase
-- www.NeedSoft.ir
-- 1395/12/05

use [NeedSoft]
Go

--حذف فایل بیماران  در صورت وجود 

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimaran]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimaran]
GO


-- تبدیل فایل بیماران 
--Infosick--> bimaran

use [R_his]
Go

select 
      IDsick as code_bimar,
      FNamesick as name,
	  LNamesick as famil,
	  Father as pedar,
	  Birthday as tavalod,
	  sex as gender,
	  date_create as tarikh,
	  TelQuick as mobil,
	  addr as address
into NeedSoft.dbo.bimaran  
from InfoSick 
Go


-- اضافه کردن فیلدهای لازم به جدول بیماران
use [NeedSoft]
Go

ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [code_bimar] [int] not NULL  
   
Go

-- کلید برای بیماران
ALTER TABLE [dbo].[bimaran] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimaran] PRIMARY KEY  CLUSTERED 
	(
		[code_bimar]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[bimaran] ADD [code_gens] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_bimeh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [Sh_Bimeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [Tel] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [address2] [nvarchar] (150) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [tel2] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
  
Go


ALTER TABLE [dbo].[bimaran] ADD [code_user_insert] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh] [nvarchar] (250) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_meli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [shsh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_yaraneh] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mokammel] [int] NULL 
   
Go

 

ALTER TABLE [dbo].[bimaran] ADD [code_user_edit] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sen] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tabagheh] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_job] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [moaref] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [email] [nvarchar] (30) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tozihat] [ntext] COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [saghfe_bimeh] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [darsad_bimar] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [name_bimeh_shodeh_asli] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Afrad_Tahte_Takafol] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [Active] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bimari_khas] [nvarchar] (100) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [not_finished] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_etebar_daftar] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [code_tahsilat] [int] NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [code_nesbat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_mahale_khedmat] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bes] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [s_r_bed] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [sharh_sabeghe_bimari] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [sabeghe_bimari] [bit] NULL
   
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_hesab] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [bad_ghol] [bit] NULL
  
Go

ALTER TABLE [dbo].[bimaran]  ADD [last_tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL
  
Go

ALTER TABLE [dbo].[bimaran] ADD [elat_morajeh] [nvarchar] (200) COLLATE Arabic_CI_AS NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [code_pezeshk] [int] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [bedehi] [money] NULL
   
Go

ALTER TABLE [dbo].[bimaran] ADD [sms_number] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 
   
Go

ALTER TABLE [dbo].[bimaran] ADD  [tedad_morajeat] [int] NULL
   
Go
	
ALTER TABLE [dbo].[bimaran] ADD [bedehkar] [bit] NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [not_send_sms] [bit] NULL

 Go

ALTER TABLE [dbo].[bimaran] ADD [code_tahol] [int] NULL 

Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_tahol] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go	 

ALTER TABLE [dbo].[bimaran] ADD [tozihat_checkup] [ntext] COLLATE Arabic_CI_AS NULL 
	
Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_From]   [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

 Go

ALTER TABLE [dbo].[bimaran] ADD [tarikh_Bimeh_To] [nvarchar] (10) COLLATE Arabic_CI_AS NULL  
	
Go

ALTER TABLE [dbo].[bimaran] ADD [code_moaref] [int] NULL 

GO

ALTER TABLE [dbo].[bimaran] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[bimaran] ADD 	[edit_time] [datetime] NULL 

Go
UPDATE  bimaran set code_gens=1 where gender='مرد'

Go

UPDATE bimaran set code_gens=2 where gender='زن'

Go

update bimaran set active=1

Go

update bimaran set tarikh=SUBSTRING(tarikh,3,8)

Go

update bimaran set insert_time=0

Go

update bimaran set edit_time=0

Go



USE [NeedSoft]
Go

-- حذف فایل خدمات در صورت وجود darmanha
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[darmanha]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[darmanha]
GO


-- تبدیل فایل خدمات 
--InfSERVICE--> darmanha

USE [R_his]
Go

select 
      IDservice as code_darman,
      NameService as name_darman
into NeedSoft.dbo.darmanha
from infoService
Go


-- اضافه کردن فیلدهای لازم به جدول درمانها
USE [NeedSoft]
Go

ALTER TABLE [dbo].[darmanha] ALTER COLUMN  [code_darman] [int] not NULL  
   
Go

---کلید برای درمانها 
ALTER TABLE [dbo].[darmanha] WITH NOCHECK ADD 
    CONSTRAINT [PK_darmanha] PRIMARY KEY  CLUSTERED 
	(
		[code_darman]
	)  ON [PRIMARY] 
GO


ALTER TABLE [dbo].[darmanha] ADD [code_ertebat] [nvarchar] (10) COLLATE Arabic_CI_AS NULL

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_bakhsh] [int]  NULL

GO

ALTER TABLE [dbo].[darmanha] ADD	[code_Bimeh] [int]  NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_daro] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_azad] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bimar] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bimeh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_mabeh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_pezeshk] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD 	[post_time] [datetime] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_user] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[name_bakhsh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[name_tabagheh_darman] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_tabagheh_darman] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_takhfif] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[meghdar] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[radif] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_noa_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_d] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_a] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_yaraneh] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_mokammel] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[r_bed] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[motakhases] [bit] NULL 

GO

ALTER TABLE [dbo].[darmanha] ADD	[not_finished] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[barcode] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[code_alarm] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[nazarsanji] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k_masraf] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[zarib_k_labratvar] [float] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_1] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_2] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[sub_code_3] [int] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[active] [bit] NULL 

Go

ALTER TABLE [dbo].[darmanha] ADD	[not_bimeh] [bit] NULL 

Go

update darmanha set code_bimeh=1 , code_bakhsh=10 , code_ertebat=0 , code_daro=1 , r_azad=0 , r_bimar=0 ,
                      r_bimeh=0 , r_takhfif=0 , r_mokammel=0 , r_mabeh=0 , r_yaraneh=0 , r_pezeshk=0 ,
					   active=1 , r_bed=0 
Go
--update darmanha set active=0
Go

USE [NeedSoft]
GO

-- Infodentist
-- حذف فایل پزشکان در صورت وجود 

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pezeshkan]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[pezeshkan]
GO



-- ایجاد فایل پزشکان 
--Infodentist --> pezeshkan

USE [R_his]
GO

select 
      IDdentist as code_pezeshk,
      FNamedentist+' '+LNamedentist  as name_pezeshk,
	  Code_Nezam as radif
into NeedSoft.dbo.pezeshkan 
from Infodentist
Go


-- اضافه کردن فیلدهای لازم به جدول پزشکان
USE [NeedSoft]
Go

ALTER TABLE [dbo].[pezeshkan] ALTER COLUMN  [code_pezeshk] [int] not NULL  
   
Go

----- کلید برای پزشکان
ALTER TABLE [dbo].[pezeshkan] WITH NOCHECK ADD 
    CONSTRAINT [PK_pezeshkan] PRIMARY KEY  CLUSTERED 
	(
		[code_pezeshk]
	)  ON [PRIMARY] 
GO


ALTER TABLE [dbo].[pezeshkan] ALTER COLUMN  [radif] [int]  NULL  
   
Go


ALTER TABLE [dbo].[pezeshkan] ADD [code_bakhsh] [int] NULL

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_takhasos] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_nezam] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[active] [bit] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[tedad_bimar_jadid] [int] NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[darsad] [float] NULL

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[code_tafzil] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[name_takhasos] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[mobil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[pezeshkan] ADD	[selected] [bit] NULL 

Go

UPDATE pezeshkan SET 
      code_bakhsh=0,
      code_takhasos=1,
      code_nezam=RADIF,
      active=1,
      tedad_bimar_jadid=0,
      darsad=51,
      code_tafzil=RADIF,
      name_takhasos='-',
      mobil='0912',
      selected=0

GO




----------------------------------------------------------

-- visiting
-- حذف فایل مراجعات در صورت وجود 

USE [NeedSoft]
Go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[morajeat]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[morajeat]
GO

-- ایجاد فایل مراجعات
--visiting --> morajeat

USE [R_his]
Go

select 
      ID_sick as code_bimar,
      ID_service as code_darman,
	  ID_dentist as code_pezeshk,
	  datevisit as tarikh,
	  Mab_ghabel_daryaft as r_bed,
	  Mab_daryafti as r_bes
into NeedSoft.dbo.morajeat 
from visiting
Go

-- اضافه کردن فیلدهای لازم به جدول مراجعات

USE [NeedSoft]
Go
-- کلید برای مراجعات 
ALTER TABLE [dbo].[morajeat]
ADD [code_morajeh] [int] IDENTITY (1, 1) NOT NULL
Go

ALTER TABLE [dbo].[morajeat] WITH NOCHECK ADD 
    CONSTRAINT [PK_morajeat] PRIMARY KEY  CLUSTERED 
	(
		[code_morajeh]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_bimar] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_pezeshk] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [code_darman] [int] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [r_bed]  [money] NULL 
   
Go

ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [r_bes]  [money] NULL  
   
Go

ALTER TABLE [dbo].[morajeat] ADD [code_bimeh] [int]  NULL

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bakhsh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_yaraneh] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_mokammel] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_dastyar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_tabagheh_darman] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_noskheh] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_moarefi] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_shift] [smallint] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_user_insert] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_user_edit] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_sandogh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[r_pezeshk] [money]  NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_azad] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mabeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_bimar] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_bimeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_yaraneh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mokammel] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_takhfif] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[r_mandeh] [money] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[tash] [nvarchar] (2) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[sharh_darman] [nvarchar] (250) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[tedad_darman] [smallint] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[insert_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[edit_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[sandogh_time] [datetime] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_ertebat] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_nobat] [smallint] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_daro] [smallint] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bastari] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[radif] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[bimar_sarpaei] [nvarchar] (30) COLLATE Arabic_CI_AS NULL 

Go


ALTER TABLE [dbo].[morajeat] ADD 	[code_labratvar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_pay] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_pezeshk_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bimar_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_darman_0] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_sabt_daem_darman] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_sharh_darman] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go


ALTER TABLE [dbo].[morajeat] ADD 	[code_nesbat] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_mahale_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_tabagheh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_job] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_gens] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[not_finished] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sh_kargozini] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[zarib_k] [float] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tavalod] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sen] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_noa_khedmat] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[sh_parvandeh] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[not_bimeh] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tozihat] [ntext] COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_print] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Bargashti] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Erjaei] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_khob] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Kar_Bad] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_moaref] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[elate_hadese] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[elate_bimari] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_hadese] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_bimari] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_natije_morajeh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[saat] [nvarchar] (5) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[masraf_machine_orzhans] [int] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[code_takhasos] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_ozve] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_jalase] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tedad_nahie] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[esterdad] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[select_print] [bit] NULL 

Go
ALTER TABLE [dbo].[morajeat] ADD 	[barcode] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[darsad_bimar] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[radif_morajeh] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_mah] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[nazarsanji] [bit] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[ID_Anbar_Hdr] [int] NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[tarikh_noskheh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[Sh_Bimeh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

ALTER TABLE [dbo].[morajeat] ADD 	[code_meli] [nvarchar] (20) COLLATE Arabic_CI_AS NULL 

Go

update morajeat set r_azad=r_bed , r_bimar=r_bed , r_bimeh=0 ,r_mabeh=0 , r_takhfif=0 , r_yaraneh=0 ,r_mokammel=0

Go

update morajeat set tarikh=SUBSTRING(tarikh,3,8)

Go

update morajeat set insert_time=0

Go

update morajeat set edit_time=0

Go

update morajeat set code_bakhsh=1

Go

update morajeat set code_bimeh=1

Go



-- insur 
-- حذف فایل بیمه ها در صورت وجود 

USE [NeedSoft]
Go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[bimeha]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bimeha]
GO

-- ایجاد فایل مراجعات
--insur  --> bimeha

USE [R_his]
Go

select 
      idinsur as code_bimeh,
      Nameinsur as name_bimeh
into NeedSoft.dbo.bimeha 
from insur
Go

-- اضافه کردن فیلدهای لازم به جدول بیمه ها

USE [NeedSoft]
Go

ALTER TABLE [dbo].[bimeha] ALTER COLUMN  [code_bimeh] [int] not NULL  
   
Go

----- کلید برای بیمه ها
ALTER TABLE [dbo].[bimeha] WITH NOCHECK ADD 
    CONSTRAINT [PK_bimeha] PRIMARY KEY  CLUSTERED 
	(
		[code_bimeh]
	)  ON [PRIMARY] 
GO


ALTER TABLE [dbo].[bimeha] ADD [saghfe_khanevadeh] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[saghfe_shakhs] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[r_saghfe_shakhs] [money] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[r_saghfe_khanevadeh] [money] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[selected] [bit] NULL 

Go

ALTER TABLE [dbo].[bimeha] ADD	[Active] [bit] NULL 

Go
update bimeha set  
       saghfe_khanevadeh=0,
       saghfe_shakhs=0,
       r_saghfe_shakhs=0,
       r_saghfe_khanevadeh=0,
       selected=0,
       Active=1

Go


USE [NeedSoft]
Go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[_beyaneh_r_his ]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[_beyaneh_r_his ]
GO

USE [R_his]
Go

-- enteghal jadval beyaneh

select id_sick as code_bimar,
D_Save as tarikh,
flag as code_noa,
Mab_Beyaneh as r_bes,
comment as sharh
into NeedSoft.dbo._beyaneh_r_his 
from beyaneh
Go

use [NeedSoft]
Go

-- manfi shodan bargashtiha

update _beyaneh_r_his set r_bes=-1*r_bes where code_noa=2 

Go
update _beyaneh_r_his set tarikh=SUBSTRING(tarikh,3,8)
Go

-- ezafeh karan kolieh record ha be jadval morajeat

INSERT INTO NeedSoft.dbo.morajeat (code_bimar,tarikh,r_bes,sharh_darman)
SELECT code_bimar,tarikh,r_bes,sharh
FROM NeedSoft.dbo._beyaneh_r_his

Go







---------------------------
-- منفی کردن کد درمان ها

UPDATE darmanha SET code_darman=-1*code_darman

GO

update morajeat set code_darman=-1*code_darman

GO


-- chanage coolation 
-- fro tabale bimaran
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [name] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [famil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [pedar] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [tavalod] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
--  ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [gender] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [tarikh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [mobil] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 
Go
ALTER TABLE [dbo].[bimaran] ALTER COLUMN  [address] [nvarchar] (200) COLLATE Arabic_CI_AS NULL 
Go
	  
-- for table 
ALTER TABLE [dbo].[darmanha] ALTER COLUMN  [name_darman] [nvarchar] (250) COLLATE Arabic_CI_AS NULL 

Go

-- pezeshkan
ALTER TABLE [dbo].[pezeshkan] ALTER COLUMN  [name_pezeshk] [nvarchar] (50) COLLATE Arabic_CI_AS NULL 

Go

-- morajeat
ALTER TABLE [dbo].[morajeat] ALTER COLUMN  [tarikh] [nvarchar] (10) COLLATE Arabic_CI_AS NULL
Go
-- bimahe
ALTER TABLE [dbo].[bimeha] ALTER COLUMN  [name_bimeh] [nvarchar] (50) COLLATE Arabic_CI_AS NULL
Go



