IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_update_TildaKish_to_insert_to_callerid_Table' AND type = 'TR')
   DROP TRIGGER trigger_update_TildaKish_to_insert_to_callerid_Table
GO

CREATE TRIGGER trigger_update_TildaKish_to_insert_to_callerid_Table
ON TildaKish
FOR update
AS 
DECLARE @line int
DECLARE @number varchar(20)
DECLARE @short_number varchar(10)
DECLARE @COPersianDate varchar(10)
DECLARE @COTime varchar(10)
DECLARE @code_bimar int
DECLARE @id_update int
DECLARE @is_update int
select  @short_number=substring((rtrim(ltrim(CODialNumber))),len((rtrim(ltrim(CODialNumber))))-7,8) , @number =rtrim(ltrim(CODialNumber)) , @line =  line , @COPersianDate = COPersianDate , @COTime=COTime , @id_update=id  from  INSERTED
select @is_update=id_update from callerid where id_update=@id_update

if (@is_update is null)
begin
  select  @code_bimar =  code_bimar  from  bimaran where  ((mobil like '%'+@short_number+'%')OR(tel like '%'+@short_number+'%')OR(tel2 like '%'+@short_number+'%')) 
  if (len(@number) > 2) 
  insert  callerid (code_Line,number,code_bimar,insert_time,id_update,tarikh,saat) values ( @line ,@number+' +',@code_bimar, GETDATE(),@id_update,@COPersianDate,substring(@COTime,0,6) )
end

GO

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_insert_TildaKish_to_insert_to_callerid_Table' AND type = 'TR')
   DROP TRIGGER trigger_insert_TildaKish_to_insert_to_callerid_Table
GO

CREATE TRIGGER trigger_insert_TildaKish_to_insert_to_callerid_Table
ON TildaKish
FOR INSERT
AS 
DECLARE @max_id int
DECLARE @line int
DECLARE @number varchar(20)
DECLARE @short_number varchar(10)
DECLARE @COPersianDate varchar(10)
DECLARE @COTime varchar(10)
DECLARE @code_bimar int
select  @short_number=substring((rtrim(ltrim(number))),len((rtrim(ltrim(number))))-7,8) , @number =rtrim(ltrim(number)) , @line =  line ,@COPersianDate = COPersianDate , @COTime=COTime from  INSERTED
select  @code_bimar =  code_bimar  from  bimaran where  ((mobil like '%'+@short_number+'%')OR(tel like '%'+@short_number+'%')OR(tel2 like '%'+@short_number+'%')) 
if (len(@number) > 2) 
insert  callerid (code_Line,number,code_bimar,insert_time,tarikh,saat) values ( @line ,@number,@code_bimar, GETDATE(),@COPersianDate,substring(@COTime,0,6) )

GO