GO
/****** Object:  UserDefinedFunction [dbo].[update_concat]    Script Date: 1397/02/20 17:50:25 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE FUNCTION [dbo].[update_concat]
(
    @Code_Bimar INT
)
RETURNS VARCHAR(MAX)
AS
BEGIN
    DECLARE @t TABLE
    (
        p NVARCHAR(MAX)
    );
    DECLARE @r VARCHAR(MAX);
    SET @r = SPACE(0);
    INSERT @t
    (
        p
    )
    SELECT '[' + ISNULL(M.tarikh, '') + ']' + '[' + ISNULL(B2.name_bimeh, '') + ']' + '[' + ISNULL(B.name_bakhsh, '')
           + ']' + '[' + ISNULL(D.name_darman, '') + ']' + '[' + CAST(M.tedad_darman AS VARCHAR(5)) + ']' + '['
           + ISNULL(M.sharh_darman, '') + ']' + '[' + ISNULL(P.name_pezeshk, '') + ']' + '['
           + CAST(M.r_bed AS NVARCHAR(50)) + ']' + '[' + CAST(M.r_bes AS NVARCHAR(50)) + ']' + '['
           + CAST(M.r_mandeh AS NVARCHAR(50)) + ']' AS des
    FROM dbo.morajeat AS M
        LEFT OUTER JOIN dbo.darmanha AS D
            ON M.code_darman = D.code_darman
        LEFT OUTER JOIN dbo.pezeshkan AS P
            ON M.code_pezeshk = P.code_pezeshk
        LEFT OUTER JOIN dbo.bakhshha AS B
            ON M.code_bakhsh = B.code_bakhsh
        LEFT OUTER JOIN dbo.bimeha AS B2
            ON M.code_bimeh = B2.code_bimeh
    WHERE M.code_bimar = @Code_Bimar
    ORDER BY M.tarikh,
             M.code_morajeh;

    IF @@ROWCOUNT > 0
        UPDATE @t
        SET @r = @r + p + ',';
    RETURN (@r);
END;