IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_insert_morajeat' AND type = 'TR')
   DROP TRIGGER trigger_insert_morajeat
GO
CREATE TRIGGER trigger_insert_morajeat
ON morajeat
FOR INSERT
AS 
INSERT INTO NeedSoft.dbo.morajeat
SELECT * FROM INSERTED; 
Go

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_insert_noskhehha' AND type = 'TR')
   DROP TRIGGER trigger_insert_noskhehha
GO
CREATE TRIGGER trigger_insert_noskhehha
ON noskhehha
FOR INSERT
AS 
INSERT INTO NeedSoft.dbo.noskhehha
SELECT * FROM INSERTED; 
Go

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'trigger_update_morajeat' AND type = 'TR')
   DROP TRIGGER trigger_update_morajeat
GO
CREATE TRIGGER trigger_update_morajeat
ON morajeat
FOR UPDATE
AS 
DECLARE @code_morajeh int
DECLARE @code_noskheh int
SELECT @code_morajeh=code_morajeh,@code_noskheh=code_noskheh from INSERTED
if (@code_noskheh <> 0 )
begin
update NeedSoft.dbo.morajeat set code_noskheh=@code_noskheh where code_morajeh=@code_morajeh
end
 
Go
